// SPDX-License-Identifier: Apache-2.0
// Copyright (c) 2018 Georgi Marinov
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
import { TestBed } from '@angular/core/testing';
import { ServiceWorkerModule } from '@angular/service-worker';
import { HttpClientModule } from '@angular/common/http';
import { TestingCommon } from '../../classes/testing-common/testing-common.spec';

import { CheckForUpdateService } from './check-for-update.service';

// eslint-disable-next-line max-lines-per-function
describe('CheckForUpdateService', () => {
  let service: CheckForUpdateService;
  let debugService: any;

  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [ServiceWorkerModule.register('', { enabled: false })],
      providers: [
        CheckForUpdateService,
        HttpClientModule,
      ]
    });
    service = TestBed.inject(CheckForUpdateService);
    debugService = service as any;

    TestingCommon.disableLogging();
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });

  it('should check public interface methods', () => {
    expect(() => {
      let readAll;
      readAll = debugService.checkForUpdate();

      readAll = debugService.reportCheck();

      readAll = debugService.onCheckForUpdateEvent(1);

      readAll = debugService.checkForUpdateSubscribe(1000);
    }).not.toThrowError();
  });
});
